apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: online-book-store
spec:
  replicas: 2
  template:
    metadata:
      labels:
        app: online-book-store
    spec:
      containers:
        - name: online-book-store
          image: registry.gitlab.com/lalit.agarwal/onlinebookstore
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
      imagePullSecrets:
        - name: online-book-store-registry
---
apiVersion: v1
kind: Service
metadata:
  name: online-book-service
  labels:
    app: online-book-store
spec:
  ports:
    - port: 80
      targetPort: 8080
  selector:
    app: online-book-store
  type: LoadBalancer